Bug 1316964 - .../include/systemd/sd-login.h:241:1: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
.../include/systemd/sd-login.h:241:1: error: expected '=', ',', ';', 'asm' or...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 09:35 EST by Rex Dieter
Modified: 2016-06-01 15:54 EDT (History)
7 users (show)

See Also:
Fixed In Version: systemd-229-8.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-01 15:54:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2016-03-11 09:35:34 EST
kde-workspace build now FTBFS, apparently due to some recent change in 
/usr/include/systemd/sd-login.h

[ 53%] Building C object kdm/backend/CMakeFiles/kdm.dir/dm.c.o
cd /builddir/build/BUILD/kde-workspace-4.11.22/x86_64-redhat-linux-gnu/kdm/backend && /usr/bin/cc  -DDISABLE_NEPOMUK_LEGACY -DHAVE_CONFIG_H=1 -DKDE4_CMAKE_TOPLEVEL_DIR_LENGTH=21 -DKDE_DEPRECATED_WARNINGS -DQT_NO_CAST_TO_ASCII -DQT_NO_STL -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DWITH_SYSTEMD=1 -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_REENTRANT -D_XOPEN_SOURCE=500 -I/builddir/build/BUILD/kde-workspace-4.11.22/x86_64-redhat-linux-gnu/kdm/backend -I/builddir/build/BUILD/kde-workspace-4.11.22/kdm/backend -I/builddir/build/BUILD/kde-workspace-4.11.22/x86_64-redhat-linux-gnu/kdm -I/builddir/build/BUILD/kde-workspace-4.11.22 -I/builddir/build/BUILD/kde-workspace-4.11.22/x86_64-redhat-linux-gnu -I/builddir/build/BUILD/kde-workspace-4.11.22/libs -I/usr/include/kde4 -I/usr/include/kde4/KDE -I/usr/include/KDE -I/usr/include/phonon -I/usr/include/QtXmlPatterns -I/usr/include/QtXml -I/usr/include/QtWebKit -I/usr/include/QtUiTools -I/usr/include/QtTest -I/usr/include/QtSvg -I/usr/include/QtSql -I/usr/include/QtScriptTools -I/usr/include/QtScript -I/usr/include/QtOpenGL -I/usr/include/QtNetwork -I/usr/include/QtMultimedia -I/usr/include/QtHelp -I/usr/include/QtDesigner -I/usr/include/QtDeclarative -I/usr/include/QtDBus -I/usr/include/Qt3Support -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/Qt -I/usr/lib64/qt4/mkspecs/default  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic  -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common -O2 -DNDEBUG -DQT_NO_DEBUG   -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -U_REENTRANT -fpie -pie -o CMakeFiles/kdm.dir/dm.c.o   -c /builddir/build/BUILD/kde-workspace-4.11.22/kdm/backend/dm.c
...
In file included from /usr/include/systemd/sd-login.h:26:0,
                 from /builddir/build/BUILD/kde-workspace-4.11.22/kdm/backend/dm.c:54:
/usr/include/systemd/sd-login.h:241:1: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'void'
 _SD_DEFINE_POINTER_CLEANUP_FUNC(sd_login_monitor, sd_login_monitor_unref);
 ^

Full logs,
https://koji.fedoraproject.org/koji/taskinfo?taskID=13309194
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-03-11 14:07:18 EST
https://github.com/systemd/systemd/pull/2827

You can use something a workaround like -Dinline=__inline__ until the patch goes into systemd.
Comment 2 Mike McCune 2016-03-28 19:38:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Fedora Update System 2016-05-30 01:37:43 EDT
systemd-229-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f8a34340d
Comment 4 Fedora Update System 2016-05-30 23:54:04 EDT
systemd-229-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f8a34340d
Comment 5 Fedora Update System 2016-06-01 15:53:52 EDT
systemd-229-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.